Create Pinboard

Create Pinboard
Create Pinboard

This api is deprecated. Please use custom dashboard api instead.

Request
URI
POST
https://{api_host}/api/ni/pinboards
COPY
Request Body

Pinboard details

PinboardRequest of type(s) application/json
Required
{
    "name": "Pinboard Name",
    "description": "This is a pinboard"
}
string
name
Optional

Name of the pinboard

string
description
Optional

Description of the pinboard

Authentication
This operation uses the following authentication methods.
Responses
201

Success

Returns PinboardResponse of type(s) application/json
{
    "id": "18799:10002:211561153588",
    "name": "Pinboard Name",
    "description": "This is the pinboard description",
    "create_timestamp": "156789876",
    "last_updated_timestamp": "156789876",
    "owner": "admin@local",
    "users_read_access": [
        "[email protected]",
        "[email protected]"
    ],
    "users_write_access": [
        "[email protected]",
        "[email protected]"
    ],
    "pins": [
        {
            "id": "1000:10001:78690089",
            "name": "Pin Name",
            "query": "Alert where Severity = 'Critical'"
        }
    ],
    "groups_write_access": [
        "CN=HR,CN=Users"
    ],
    "groups_read_access": [
        "cn=administrators"
    ]
}
string
id
Optional

Entity Identifier for a pinboard

string
name
Optional

Descriptor or identifier for particular pinboard.

string
description
Optional

Description of the pinboard

string
create_timestamp
Optional

Create timestamp for pinboard

string
last_updated_timestamp
Optional

Last update timestamp for pinboard

string
owner
Optional

User email of the pinboard owner

array of string
users_read_access
Optional

List of users with read privilege for the pinboard

array of string
users_write_access
Optional

List of users with read and write privilege for the pinboard

array of object
pins
Optional

Pins associated with Pinboard

array of string
groups_write_access
Optional

LDAP/VIDM groups with read and write privilege of the pinboard

array of string
groups_read_access
Optional

LDAP/VIDM groups with read privilege of the pinboard


400

Bad Request

Returns BadRequestResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/pinboards